Bug 1294919 - quota.t hangs in NetBSD on line ./tests/basic/quota /mnt/glusterfs/0/test_dir/1.txt 256 48
quota.t hangs in NetBSD on line ./tests/basic/quota /mnt/glusterfs/0/test_dir...
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
Unspecified NetBSD
high Severity high
: ---
: ---
Assigned To: Manikandan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 20:04 EST by Raghavendra Talur
Modified: 2016-09-20 00:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 03:58:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Talur 2015-12-30 20:04:41 EST
Description of problem:

quota.t hangs in NetBSD machines causing the regression runs to hang too.
The test seem to be hung on line ./tests/basic/quota /mnt/glusterfs/0/test_dir/1.txt 256 48
which is TEST 62.
Comment 1 Vijay Bellur 2015-12-30 20:08:49 EST
REVIEW: http://review.gluster.org/13123 (tests: move quota.t to disabled till it is fixed) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 2 Vijay Bellur 2016-01-04 08:45:23 EST
REVIEW: http://review.gluster.org/13167 (quota.t : turning off write-behind) posted (#1) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 3 Vijay Bellur 2016-01-04 09:16:21 EST
REVIEW: http://review.gluster.org/13167 (quota.t : turning off write-behind) posted (#2) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 4 Vijay Bellur 2016-01-04 09:44:40 EST
REVIEW: http://review.gluster.org/13167 (quota.t : turning off write-behind) posted (#3) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 5 Vijay Bellur 2016-01-04 12:27:39 EST
REVIEW: http://review.gluster.org/13167 (quota.t : patch to test the netsbd hangs for quota.t) posted (#4) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 6 Vijay Bellur 2016-01-05 02:20:38 EST
REVIEW: http://review.gluster.org/13123 (tests: move quota.t to known_bugs) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 7 Vijay Bellur 2016-01-05 03:43:35 EST
REVIEW: http://review.gluster.org/13123 (tests: move quota.t to known_bugs) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 8 Vijay Bellur 2016-01-05 04:39:55 EST
REVIEW: http://review.gluster.org/13123 (tests: move quota.t to known_bugs) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.